# Summary

- [Criterion.rs](./criterion_rs.md)
    - [Getting Started](./getting_started.md)
- [User Guide](./user_guide/user_guide.md)
    - [Migrating from libtest](./user_guide/migrating_from_libtest.md)
    - [Command-Line Output](./user_guide/command_line_output.md)
    - [Command-Line Options](./user_guide/command_line_options.md)
    - [HTML Report](./user_guide/html_report.md)
    - [Plots & Graphs](./user_guide/plots_and_graphs.md)
    - [Benchmarking With Inputs](./user_guide/benchmarking_with_inputs.md)
    - [Advanced Configuration](./user_guide/advanced_configuration.md)
    - [Comparing Functions](./user_guide/comparing_functions.md)
    - [CSV Output](./user_guide/csv_output.md)
    - [Known Limitations](./user_guide/known_limitations.md)
    - [Bencher Compatibility Layer](./user_guide/bencher_compatibility.md)
    - [Timing Loops](./user_guide/timing_loops.md)
    - [Custom Measurements](./user_guide/custom_measurements.md)
    - [Profiling](./user_guide/profiling.md)
    - [Custom Test Framework](./user_guide/custom_test_framework.md)
    - [Benchmarking async functions](./user_guide/benchmarking_async.md)
- [cargo-criterion](./cargo_criterion/cargo_criterion.md)
  - [Configuring cargo-criterion](./cargo_criterion/configuring_cargo_criterion.md)
  - [External Tools](./cargo_criterion/external_tools.md)
- [Iai](./iai/iai.md)
  - [Getting Started with Iai](./iai/getting_started.md)
  - [Comparison to Criterion.rs](./iai/comparison.md)
- [Analysis Process](./analysis.md)
- [Frequently Asked Questions](./faq.md)
- [Migrating from 0.2.* to 0.3.*](./migrating_0_2_to_0_3.md)